@media only screen and (min-width: 320px) {
    :root{
        --box-shadow: 0 8px 24px rgba(0, 0, 0, 0.08), 0 2px 6px rgba(0, 0, 0, 0.04);
        --text-shadow:0 1px 3px rgba(0, 0, 0, 0.85), 0 4px 12px rgba(0, 0, 0, 0.55), 0 8px 22px rgba(0, 0, 0, 0.32);
        --border-radius:20px;
        --post-list-item-width:48%;
        --post-list-item-image-height:175px;
    }
    /*Every element in color-section that is not a blob-bg-svg or blob-outline should have z-index 2*/
    .color-section  *:not(.blob-bg-svg):not(.blob-outline), 
    .query-loop-container  *:not(.blob-bg-svg):not(.blob-outline){
        z-index:2;
        position: relative;
    }

    /*Narrow section*/
    .narrow-section{
        border-radius:var(--border-radius);
        padding:40px 5%;
    }
    /*Applari search*/
    /*Form*/
    .applari-search-form{
        display:flex;
        flex-direction:column;
        gap:30px;
        align-items:center;
        justify-content:space-evenly;
        width:100%;
        margin:0 auto;
    }
    .applari-search-field-type-tag-list{
        display:flex;
        flex-wrap:wrap;
        gap:10px;
        align-items:center;
        justify-content:center;
        width:100%;
        margin:0 auto;
    }
    .applari-tag-list-items{
        justify-content:center;
    }
    .applari-search-field-label{
        width:100%;
        text-align:center;
    }
    .applari-tag-button{
        border-radius:4px;
        border:1px solid #B5B5B5;
        background:#ffffff;
    }
    .applari-search-pagination-current{
        background:var(--link-clr);
    }
    /*Search results*/
    .applari-search-items{
        flex-wrap:wrap;
    }
    .applari-search-item{
        cursor:pointer;
        border:0px;
        width:var(--post-list-item-width);
    }
    .applari-search-item .applari-search-item-thumbnail{
        
    }
    .applari-search-item .applari-search-item-thumbnail img{
        height:var(--post-list-item-image-height);
        box-shadow: var(--box-shadow);
    }

    .applari-search-item .applari-search-item-content, .kasvi-lift .post-lift-text-wrapper{
        background:#ffffff;
        box-shadow: var(--box-shadow);
    }
    .applari-search-item-title, .kasvi-lift .post-lift-title{
        font-size:14px;
        min-height:auto;
        overflow: hidden;
        position: relative;
        display: inline-block;
    }
    .applari-search-item-excerpt{
        font-size:12px;
    }
    .applari-search-item-matching-parameters{
        display:flex;
        flex-wrap:wrap;
        gap:5px;
        align-items:center;
        justify-content:flex-start;
        width:100%;
        margin:0 auto;
    }
    .applari-search-item-matching-parameters label{
        display:none;
    }
    .applari-matching-parameter-value{
        font-size:10px;
        border-radius:4px;
        background:var(--green);
        padding:5px 10px;
        color:#ffffff;
    }
    /*Big post lift*/
    .big-post-lift img{
        max-height:560px;
    }
    .site-content .site-main .gb-container .gb-container-link{
        position:absolute;
        z-index:99;
    }
}
@media only screen and (min-width: 540px) {
    :root{
        --post-list-item-image-height:220px;
    }
    /*Applari search*/
    /*Search results*/
    
    .applari-search-item .applari-search-item-thumbnail img{
        height:var(--post-list-item-image-height);
    }
}
@media only screen and (min-width: 768px) {
    :root{
        --post-list-item-width:32.333%;
    }
    .applari-search-item{
        width:var(--post-list-item-width);
    }
    .applari-search-item .applari-search-item-content{
        padding:30px;
    }
    .applari-search-item-title:after, .kasvi-lift .post-lift-title:after{
        content:'';
        display:block;
        width:0%;
        height:1px;
        background:var(--link-hover-clr);
        transition:width 0.3s ease-in-out;
    }
    .applari-search-item:hover .applari-search-item-title:after, .kasvi-lift:hover .post-lift-title:after{
        width:100%;
    }
}

@media only screen and (min-width: 1280px) {
    :root{
        --post-list-item-image-height:225px;
    }
    .applari-search-item .applari-search-item-thumbnail img{
        height:var(--post-list-item-image-height);
    }
    .applari-search-item .applari-search-item-title, .kasvi-lift .post-lift-title{
        font-size:18px;
    }
    .applari-search-item .applari-search-item-excerp, .kasvi-lift .post-lift-excerpt{
        font-size:14px;
    }
}